Loading...
Searching...
No Matches
n_parse_options.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <grass/glocale.h>`
`#include <grass/N_pde.h>`
Include dependency graph for n_parse_options.c:

Go to the source code of this file.

## Functions

struct Option * | N_define_standard_option (int opt)
| Create standardised Option structure related to the gpde library.

## Function Documentation

## N_define_standard_option()

struct Option * N_define_standard_option | ( | int | opt | ) |

Create standardised Option structure related to the gpde library.

This function will create a standardised Option structure defined by parameter opt. A list of valid parameters can be found in N_pde.h. It allocates memory for the Option structure and returns a pointer to this memory (of type struct Option *).

If an invalid parameter was specified an empty Option structure will be returned (not NULL).

This function is related to the gpde library, general standard options can be found in lib/gis/parser.c. These options are set with G_define_standard_option ();

Parameters

  [in] | opt | Type of Option struct to create

Returns
  Option * Pointer to an Option struct

Definition at line 42 of file n_parse_options.c.

References G_define_option(), N_OPT_CALC_TIME, N_OPT_ITERATION_ERROR, N_OPT_MAX_ITERATIONS, N_OPT_SOLVER_SYMM, N_OPT_SOLVER_UNSYMM, and N_OPT_SOR_VALUE.